#!/usr/bin/env ruby
#
# Triggers:
#     ForceRmdir form-in client "ForceRmdir.rb %formfile%"

if ARGV.length < 1
    puts '%formfile% not given.'
    exit 1
end

formfile = ARGV[0]
formfile_new = "#{formfile}_new"
formfile_temp = "#{formfile}_temp"

form_new = File.open(formfile_new, 'w')
form_old = File.open(formfile, 'r')

normdir_found = false

form_old.each do |line|
  if  /^.*Client:.*p4sandbox-.*$/ =~ line
    break
  elsif /^Options:.*normdir.*?/ =~ line
    normdir_found = true
    form_new.write(line.sub("normdir", "rmdir"))
  else
    form_new.write(line)
  end
end

form_new.close
form_old.close

if normdir_found
  File.rename(formfile_new, formfile)
else
  File.delete(formfile_new)
end

exit 0

